# GatewayRuleType Enum

### NAME

GatewayRuleType

### DESCRIPTION

Gateway Rule Type.

| Values            | Description                                                 |
| ----------------- | ----------------------------------------------------------- |
| Any               | if Client is connected to any gateway                       |
| AnyGW             | Deprecated: Use Any                                         |
| Connected         | if Client is connected to one of the following gateways     |
| ConnectedToGWs    | Deprecated: Use Connected                                   |
| NotConnected      | if Client is not connected to one of the following gateways |
| NotConnectedToGWs | Deprecated: Use NotConnected                                |

#### References to Commands

| [New-RASClientPolicy](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASClientPolicy.html) |
| ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Set-RASClientPolicy](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASClientPolicy.html) |

#### References to Types

| [ClientRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ClientRules.html) |
| ----------------------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/enums/gatewayruletype-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
